## org.apache.cassandra.locator
Interface DynamicEndpointSnitchMBean

All Known Implementing Classes:
  DynamicEndpointSnitch

    public interface DynamicEndpointSnitchMBean

Method Summary
`java.util.List<java.lang.Double>` `dumpTimings(java.lang.String hostname)`
`double` `getBadnessThreshold()`
`int` `getResetInterval()`
`java.util.Map<java.net.InetAddress,java.lang.Double>` `getScores()`
`java.lang.String` `getSubsnitchClassName()`
`int` `getUpdateInterval()`

Method Detail

### getScores

    java.util.Map<java.net.InetAddress,java.lang.Double> getScores()

### getUpdateInterval

    int getUpdateInterval()

### getResetInterval

    int getResetInterval()

### getBadnessThreshold

    double getBadnessThreshold()

### getSubsnitchClassName

    java.lang.String getSubsnitchClassName()

### dumpTimings

    java.util.List<java.lang.Double> dumpTimings(java.lang.String hostname)
                                                 throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

Copyright © 2012 The Apache Software Foundation